apiVersion: hive.openshift.io/v1
kind: ClusterDeployment
metadata:
  annotations:
    hive.openshift.io/fake-cluster: "true"
  creationTimestamp: "2021-07-09T02:49:32Z"
  finalizers:
  - hive.openshift.io/deprovision
  generation: 3
  labels:
    hive.openshift.io/cluster-platform: aws
    hive.openshift.io/cluster-region: us-east-2
    hive.openshift.io/version-major: "4"
    hive.openshift.io/version-major-minor: "4.6"
    hive.openshift.io/version-major-minor-patch: 4.6.8
  name: lwan-pool-aws-9cnt5
  namespace: lwan-pool-aws-9cnt5
  resourceVersion: "51771"
  uid: e0eb00c8-7780-4423-a461-9e3a0fb8dac3
spec:
  baseDomain: qe.devcluster.openshift.com
  clusterMetadata:
    adminKubeconfigSecretRef:
      name: lwan-pool-aws-9cnt5-0-tvdjw-admin-kubeconfig
    adminPasswordSecretRef:
      name: lwan-pool-aws-9cnt5-0-tvdjw-admin-password
    clusterID: fake-cluster-057010c3-94b2-4a96-a946-187e0808794d
    infraID: fake-infra-id
  clusterName: lwan-pool-aws-9cnt5
  clusterPoolRef:
    namespace: default
    poolName: lwan-pool-aws
  controlPlaneConfig:
    servingCertificates: {}
  installed: true
  platform:
    aws:
      credentialsSecretRef:
        name: lwan-pool-aws-9cnt5-aws-creds
      privateLink:
        enabled: false
      region: us-east-2
  powerState: Hibernating
  provisioning:
    imageSetRef:
      name: lwan-pool-aws-imageset
    installConfigSecretRef:
      name: lwan-pool-aws-9cnt5-install-config
  pullSecretRef:
    name: lwan-pool-aws-9cnt5-pull-secret
status:
  apiURL: https://example.com/veryfakeapi
  cliImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:5917b18697edb46458d9fd39cefab191c8324561fa83da160f6fdd0b90c55fe0
  conditions:
  - lastProbeTime: "2021-07-09T02:49:51Z"
    lastTransitionTime: "2021-07-09T02:49:51Z"
    message: No cluster version is available yet
    reason: Unsupported
    status: "False"
    type: Hibernating
  - lastProbeTime: "2021-07-09T02:49:51Z"
    lastTransitionTime: "2021-07-09T02:49:51Z"
    message: ClusterSync has not yet been created
    reason: MissingClusterSync
    status: "True"
    type: SyncSetFailed
  - lastProbeTime: "2021-07-09T02:49:33Z"
    lastTransitionTime: "2021-07-09T02:49:33Z"
    message: Platform credentials passed authentication check
    reason: PlatformAuthSuccess
    status: "False"
    type: AuthenticationFailure
  - lastProbeTime: "2021-07-09T02:49:51Z"
    lastTransitionTime: "2021-07-09T02:49:51Z"
    message: Control plane certificates are present
    reason: ControlPlaneCertificatesFound
    status: "False"
    type: ControlPlaneCertificateNotFound
  - lastProbeTime: "2021-07-09T02:49:38Z"
    lastTransitionTime: "2021-07-09T02:49:38Z"
    message: Images required for cluster deployment installations are resolved
    reason: ImagesResolved
    status: "False"
    type: InstallImagesNotResolved
  - lastProbeTime: "2021-07-09T02:49:51Z"
    lastTransitionTime: "2021-07-09T02:49:51Z"
    message: Successfully launched install pod
    reason: InstallLaunchSuccessful
    status: "False"
    type: InstallLaunchError
  - lastProbeTime: "2021-07-09T02:49:38Z"
    lastTransitionTime: "2021-07-09T02:49:38Z"
    message: InstallerImage is resolved.
    reason: InstallerImageResolved
    status: "False"
    type: InstallerImageResolutionFailed
  - lastProbeTime: "2021-07-09T02:49:51Z"
    lastTransitionTime: "2021-07-09T02:49:51Z"
    message: Provision lwan-pool-aws-9cnt5-0-tvdjw succeeded.
    reason: ProvisionSucceeded
    status: "False"
    type: ProvisionFailed
  - lastProbeTime: "2021-07-09T02:49:38Z"
    lastTransitionTime: "2021-07-09T02:49:38Z"
    message: Provision is not stopped
    reason: ProvisionNotStopped
    status: "False"
    type: ProvisionStopped
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: no ClusterRelocates match
    reason: NoMatchingRelocates
    status: "False"
    type: RelocationFailed
  - lastProbeTime: "2021-07-09T02:49:38Z"
    lastTransitionTime: "2021-07-09T02:49:38Z"
    message: All pre-provision requirements met
    reason: AllRequirementsMet
    status: "True"
    type: RequirementsMet
  - lastProbeTime: "2021-07-09T02:49:51Z"
    lastTransitionTime: "2021-07-09T02:49:51Z"
    message: cluster is reachable
    reason: ClusterReachable
    status: "False"
    type: Unreachable
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: AWSPrivateLinkFailed
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: AWSPrivateLinkReady
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ActiveAPIURLOverride
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallCompleted
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallFailed
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallRequirementsMet
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: ClusterInstallStopped
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: DNSNotReady
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: DeprovisionLaunchError
  - lastProbeTime: "2021-07-09T02:49:32Z"
    lastTransitionTime: "2021-07-09T02:49:32Z"
    message: Condition Initialized
    reason: Initialized
    status: Unknown
    type: IngressCertificateNotFound
  installStartedTimestamp: "2021-07-09T02:49:38Z"
  installVersion: 4.8.0-rc.3
  installedTimestamp: "2021-07-09T02:49:51Z"
  installerImage: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:eb3e6c54c4e2e07f95a9af44a5a1839df562a843b4ac9e1d5fb5bb4df4b4f7d6
  provisionRef:
    name: lwan-pool-aws-9cnt5-0-tvdjw
  webConsoleURL: https://https://example.com/veryfakewebconsole
